CVE-2019-0222

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2019-0222
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2019-0222.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2019-0222
Aliases
Related
Published
2019-03-28T22:29:00Z
Modified
2024-06-30T12:01:22Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

In Apache ActiveMQ 5.0.0 - 5.15.8, unmarshalling corrupt MQTT frame can lead to broker Out of Memory exception making it unresponsive.

References

Affected packages

Debian:11 / activemq

Package

Name
activemq
Purl
pkg:deb/debian/activemq?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.9-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / activemq

Package

Name
activemq
Purl
pkg:deb/debian/activemq?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.9-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / activemq

Package

Name
activemq
Purl
pkg:deb/debian/activemq?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.9-1

Ecosystem specific

{
    "urgency": "unimportant"
}